#
# spec file for package rubygem-arel-4_0
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-arel-4_0
Version:        4.0.2
Release:        2.8
%define mod_name arel
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -4_0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/rails/arel
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Arel is a SQL AST manager for Ruby
License:        MIT
Group:          Development/Languages/Ruby

%description
Arel is a SQL AST manager for Ruby. It
1. Simplifies the generation of complex SQL queries
2. Adapts to various RDBMS systems
It is intended to be a framework framework; that is, you can build your own
ORM
with it, focusing on innovative object and collection modeling as opposed to
database compatibility and query generation.

%prep

%build

%install
%gem_install \
  --doc-files="History.txt MIT-LICENSE.txt" \
  -f

%gem_packages

%changelog
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Mar 24 2014 coolo@suse.com
- updated to version 4.0.2
  * Bug Fixes
  * Fix `SqlLiteral` YAML serialization
  * PostgreSQL bugfix for invalid SQL in subqueries
* Thu Oct 31 2013 coolo@suse.com
- updated to version 4.0.1
  * Enhancements
  * Cache visitor dispatch on a per-visitor basis
  * Improve performance of #uniq across a large number of nodes
  * Bug Fixes
  * Make visitors threadsafe by removing @last_column
  * Support `columns_for_distinct` with Oracle adapter
* Sat Apr 20 2013 coolo@suse.com
- updated to version 4.0.0, preparation for rails 4
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to provide correct dependencies
* Mon Apr  2 2012 coolo@suse.com
- update to 3.0.2 - smaller fixes
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Thu Jan 26 2012 mrueckert@suse.de
- initial package of the 3.0 branch
